summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test68.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tclap-1.2.1/tests/test68.sh')
-rw-r--r--tclap-1.2.1/tests/test68.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test68.sh b/tclap-1.2.1/tests/test68.sh
new file mode 100644
index 0000000..c8f19d7
--- /dev/null
+++ b/tclap-1.2.1/tests/test68.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# this tests whether we can parse args from
+# a vector of strings and that combined switch
+# handling doesn't get fooled if the delimiter
+# is in the string
+# success
+../examples/test13 > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test68.out; then
+ exit 0
+else
+ exit 1
+fi
+